<?php get_header(); ?>

<?php if ( post_password_required( $post ) ) {
	
		get_template_part( 'password-form' ); 
		
	} else {
		
		$galleryLayout = get_post_meta($post->ID, '_gallery_layout_value', true);
	
		if ( $galleryLayout == 'Fullscreen' || $galleryLayout == 'Fullscreen-Grid' ) {
			get_template_part( 'galleries/template-gallery-' . $galleryLayout );
		} else {
			get_template_part( 'galleries/template-gallery-columns' );
		}
		
	}
	?>			

<?php get_footer(); ?>